Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputMessageInvoice

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent
it.tdlight.jni.TdApi.InputMessageInvoice

Enclosing class:
  TdApi

public static final class TdApi.InputMessageInvoice extends TdApi.InputMessageContent
A message with an invoice; can be used only by bots.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`description`
Product description; 0-255 characters.
`TdApi.Invoice`
`invoice`
Invoice.
`byte[]`
`payload`
The invoice payload.
`int`
`photoHeight`
Product photo height.
`int`
`photoSize`
Product photo size.
`String`
`photoUrl`
Product photo URL; optional.
`int`
`photoWidth`
Product photo width.
`String`
`providerData`
JSON-encoded data about the invoice, which will be shared with the payment provider.
`String`
`providerToken`
Payment provider token.
`String`
`startParameter`
Unique invoice bot deep link parameter for the generation of this invoice.
`String`
`title`
Product title; 1-32 characters.

## Constructor Summary

Constructors
Constructor
Description
`InputMessageInvoice()`
A message with an invoice; can be used only by bots.
`InputMessageInvoice(TdApi.Invoice invoice, String title, String description, String photoUrl, int photoSize, int photoWidth, int photoHeight, byte[] payload, String providerToken, String providerData, String startParameter)`
A message with an invoice; can be used only by bots.
`InputMessageInvoice(DataInput input)`
A message with an invoice; can be used only by bots.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### invoice

public TdApi.Invoice invoice
Invoice.

### title

public String title
Product title; 1-32 characters.

### description

public String description
Product description; 0-255 characters.

### photoUrl

public String photoUrl
Product photo URL; optional.

### photoSize

public int photoSize
Product photo size.

### photoWidth

public int photoWidth
Product photo width.

### photoHeight

public int photoHeight
Product photo height.

### payload

public byte[] payload
The invoice payload.

### providerToken

public String providerToken
Payment provider token.

### providerData

public String providerData
JSON-encoded data about the invoice, which will be shared with the payment provider.

### startParameter

public String startParameter
Unique invoice bot deep link parameter for the generation of this invoice. If empty, it would be possible to pay directly from forwards of the invoice message.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InputMessageInvoice

public InputMessageInvoice()
A message with an invoice; can be used only by bots.

### InputMessageInvoice

public InputMessageInvoice(TdApi.Invoice invoice, String title, String description, String photoUrl, int photoSize, int photoWidth, int photoHeight, byte[] payload, String providerToken, String providerData, String startParameter)
A message with an invoice; can be used only by bots.

Parameters:
  `invoice` - Invoice Invoice.
  `title` - String Product title; 1-32 characters.
  `description` - String Product description; 0-255 characters.
  `photoUrl` - String Product photo URL; optional.
  `photoSize` - int Product photo size.
  `photoWidth` - int Product photo width.
  `photoHeight` - int Product photo height.
  `payload` - byte[] The invoice payload.
  `providerToken` - String Payment provider token.
  `providerData` - String JSON-encoded data about the invoice, which will be shared with the payment provider.
  `startParameter` - String Unique invoice bot deep link parameter for the generation of this invoice. If empty, it would be possible to pay directly from forwards of the invoice message.

### InputMessageInvoice

public InputMessageInvoice(DataInput input) throws IOException
A message with an invoice; can be used only by bots.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`